Subject: Re: bug#54266: [PATCH] samba: wrap scripts with GUIX_PYTHONPATH

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 16 Jan 2023 12:53:49 -0500

Hi,

fesoj000 <[email-masked]> writes:

> On 3/8/22 11:28 PM, Maxime Devos wrote:
>> [Please keep [email-masked] in CC]
>> fesoj000 schreef op di 08-03-2022 om 23:14 [+0100]:
>>> packages. If you talk about the samba package output then we can do this like
>>> the new diff below.
>> Looking at some of the python scripts, it seems that they
>> add samba's python libraries to the path by theirselves,
>> so I don't think this is necessary.
> I just tested it, without the samba site-packages path the scripts still seem
> to work just fine.
>
>>>> Also, it looks like some of the python stuf uses 'ldb', so 'ldb' might
>>>> need to be included as well.
>>> 'ldb' is included, you can look at the guix-pythonpath function which builds
>>> the pythonpath. In fact not only 'ldb' is need but further 'tdb' and 'talloc'.
>> Looking a little closer, it indeed seems fine (untested)!

I'm a bit lost, is there something left to do here?  Else let's close it
(replying to [email-masked]).

-- 
Thanks,
Maxim